summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2008-10-12 19:51:29 +0000
committerUlrich Müller <ulm@gentoo.org>2008-10-12 19:51:29 +0000
commit1ad580033c56a19412748876c13bf3258178707b (patch)
tree48642c29545ccae1ec91c224294257bd1e3d0cfe /eclass
parentAdd function names to error messages. (diff)
downloademacs-1ad580033c56a19412748876c13bf3258178707b.tar.gz
emacs-1ad580033c56a19412748876c13bf3258178707b.tar.bz2
emacs-1ad580033c56a19412748876c13bf3258178707b.zip
Move SITEFILE variable from elisp-common.eclass to elisp.eclass and
don't assign a default value. Allow for packages without site-init file in elisp_src_install. svn path=/emacs-overlay/; revision=1170
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog4
-rw-r--r--eclass/elisp-common.eclass5
-rw-r--r--eclass/elisp.eclass10
3 files changed, 12 insertions, 7 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 5def0ce..92d7c35 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -2,6 +2,10 @@
* elisp-common.eclass: Add function names to error messages.
+ * elisp.eclass (SITEFILE): Move from elisp-common.eclass to here
+ and don't assign a default value.
+ (elisp_src_install): Allow for packages without site-init file.
+
2008-10-09 Ulrich Mueller <ulm@gentoo.org>
* elisp-common.eclass (SITEETC): Document as eclass variable.
diff --git a/eclass/elisp-common.eclass b/eclass/elisp-common.eclass
index acfbf58..f272771 100644
--- a/eclass/elisp-common.eclass
+++ b/eclass/elisp-common.eclass
@@ -137,11 +137,6 @@ SITELISP=/usr/share/emacs/site-lisp
# Directory where packages install miscellaneous (not Lisp) files.
SITEETC=/usr/share/emacs/etc
-# @ECLASS-VARIABLE: SITEFILE
-# @DESCRIPTION:
-# Name of package's site-init file.
-SITEFILE=50${PN}-gentoo.el
-
# @ECLASS-VARIABLE: EMACS
# @DESCRIPTION:
# Path of Emacs executable.
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 86cb925..df52ce7 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -24,6 +24,10 @@
# file with the file name ${P}.el, then this eclass will move ${P}.el to
# ${PN}.el in src_unpack().
+# @ECLASS-VARIABLE: SITEFILE
+# @DESCRIPTION:
+# Name of package's site-init file.
+
# @ECLASS-VARIABLE: DOCS
# @DESCRIPTION:
# DOCS="blah.txt ChangeLog" is automatically used to install the given
@@ -64,8 +68,10 @@ elisp_src_compile() {
elisp_src_install() {
elisp-install ${PN} *.el *.elc || die "elisp-install failed"
- elisp-site-file-install "${FILESDIR}/${SITEFILE}" \
- || die "elisp-site-file-install failed"
+ if [ -n "${SITEFILE}" ]; then
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}" \
+ || die "elisp-site-file-install failed"
+ fi
if [ -n "${DOCS}" ]; then
dodoc ${DOCS} || die "dodoc failed"
fi